-- Copyright (c) 2025, UChicago Argonne, LLC
-- BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE.md
--@ An output table for the trip paths of freight shipments 
--@ including the number of internal trip legs, and the
--@ corresponding origin and destination locations of the leg
--@

CREATE TABLE Shipment_Legs (
    "shipment"                   INTEGER NOT NULL DEFAULT 0, --@ The unique identifier of this shipment 
    "leg"                        INTEGER NOT NULL DEFAULT 0, --@ The identifier of the internal trip leg for the shipment
    "leg_type"                   INTEGER NOT NULL DEFAULT 0, --@ The type of the internal trip leg
    "origin_location"            INTEGER NOT NULL DEFAULT 0, --@ The trip leg origin location (foreign key to the Location table)
    "destination_location"       INTEGER NOT NULL DEFAULT 0 --@ The trip leg destination location (foreign key to the Location table)

);